Hey! These docs are for version 1.0, which is no longer officially supported. Click here for the latest version, 2.0!

React Native

Learn how to integrate Adapty React Native SDK in your app. SDK supports React Native 0.60+

You can find open-source Adapty React-Native SDK on GitHub.

❗️

Read Checklist before releasing your app

Be sure to carefully read Release Checklist when releasing your app. It's critical to make things right from the first attempt!

Requirements

  • React Native 0.60

Expo support

🚧

Expo-managed applications CANNOT use this library. In order to use this SDK, you have to eject to Expo bare workflow.